import 'package:flutter/material.dart';

/// Defines spacing constants
abstract class StiloSpacing {
  static const _s0 = 0.0;
  static const _s1 = 3.0;
  static const _s2 = 6.0;
  static const _s3 = 9.0;
  static const _s4 = 12.0;
  static const _s5 = 15.0;
  static const _s6 = 18.0;
  static const _s8 = 24.0;
  static const _s10 = 30.0;
  static const _s12 = 36.0;
  static const _s16 = 48.0;
  static const _s20 = 60.0;

  // [Spacing All]
  /// Constructs a sized box widget with 0.0 (width) and 0.0 (height)
  static const a0 = SizedBox(width: _s0, height: _s0);

  /// Constructs a sized box widget with 3.0 (width) and 3.0 (height)
  static const a1 = SizedBox(width: _s1, height: _s1);

  /// Constructs a sized box widget with 6.0 (width) and 6.0 (height)
  static const a2 = SizedBox(width: _s2, height: _s2);

  /// Constructs a sized box widget with 9.0 (width) and 9.0 (height)
  static const a3 = SizedBox(width: _s3, height: _s3);

  /// Constructs a sized box widget with 12.0 (width) and 12.0 (height)
  static const a4 = SizedBox(width: _s4, height: _s4);

  /// Constructs a sized box widget with 15.0 (width) and 15.0 (height)
  static const a5 = SizedBox(width: _s5, height: _s5);

  /// Constructs a sized box widget with 18.0 (width) and 18.0 (height)
  static const a6 = SizedBox(width: _s6, height: _s6);

  /// Constructs a sized box widget with 24.0 (width) and 24.0 (height)
  static const a8 = SizedBox(width: _s8, height: _s8);

  /// Constructs a sized box widget with 30.0 (width) and 30.0 (height)
  static const a10 = SizedBox(width: _s10, height: _s10);

  /// Constructs a sized box widget with 36.0 (width) and 36.0 (height)
  static const a12 = SizedBox(width: _s12, height: _s12);

  /// Constructs a sized box widget with 48.0 (width) and 48.0 (height)
  static const a16 = SizedBox(width: _s16, height: _s16);

  /// Constructs a sized box widget with 60.0 (width) and 60.0 (height)
  static const a20 = SizedBox(width: _s20, height: _s20);

  // [Spacing Horizontal]
  /// Constructs a sized box widget with 0.0 (width)
  static const x0 = SizedBox(width: _s0);

  /// Constructs a sized box widget with 3.0 (width)
  static const x1 = SizedBox(width: _s1);

  /// Constructs a sized box widget with 6.0 (width)
  static const x2 = SizedBox(width: _s2);

  /// Constructs a sized box widget with 9.0 (width)
  static const x3 = SizedBox(width: _s3);

  /// Constructs a sized box widget with 12.0 (width)
  static const x4 = SizedBox(width: _s4);

  /// Constructs a sized box widget with 15.0 (width)
  static const x5 = SizedBox(width: _s5);

  /// Constructs a sized box widget with 18.0 (width)
  static const x6 = SizedBox(width: _s6);

  /// Constructs a sized box widget with 24.0 (width)
  static const x8 = SizedBox(width: _s8);

  /// Constructs a sized box widget with 30.0 (width)
  static const x10 = SizedBox(width: _s10);

  /// Constructs a sized box widget with 36.0 (width)
  static const x12 = SizedBox(width: _s12);

  /// Constructs a sized box widget with 48.0 (width)
  static const x16 = SizedBox(width: _s16);

  /// Constructs a sized box widget with 60.0 (width)
  static const x20 = SizedBox(width: _s20);

  // [Spacing Vertical]
  /// Constructs a sized box widget with 0.0 (height)
  static const y0 = SizedBox(height: _s0);

  /// Constructs a sized box widget with 3.0 (height)
  static const y1 = SizedBox(height: _s1);

  /// Constructs a sized box widget with 6.0 (height)
  static const y2 = SizedBox(height: _s2);

  /// Constructs a sized box widget with 9.0 (height)
  static const y3 = SizedBox(height: _s3);

  /// Constructs a sized box widget with 12.0 (height)
  static const y4 = SizedBox(height: _s4);

  /// Constructs a sized box widget with 15.0 (height)
  static const y5 = SizedBox(height: _s5);

  /// Constructs a sized box widget with 18.0 (height)
  static const y6 = SizedBox(height: _s6);

  /// Constructs a sized box widget with 24.0 (height)
  static const y8 = SizedBox(height: _s8);

  /// Constructs a sized box widget with 30.0 (height)
  static const y10 = SizedBox(height: _s10);

  /// Constructs a sized box widget with 36.0 (height)
  static const y12 = SizedBox(height: _s12);

  /// Constructs a sized box widget with 48.0 (height)
  static const y16 = SizedBox(height: _s16);

  /// Constructs a sized box widget with 60.0 (height)
  static const y20 = SizedBox(height: _s20);
}
